function setupgame()
{
   game = {};
   game.sw = 400;
   game.sh = 400;
   game.enemy_speed = 4;
   game.enemy_num = 1;
   game.enemy_size = 10;
   game.mysize = 15;
   game.myspeed = 10;
   game.bonusspeed = 2;
   game.bonus = false;
   game.lvl = 0;
   game.time = 0;
   game.lvltime = 0;
}
function rungame()
{
   mc = gamemc.me;
   if(game.time == 0)
   {
      game.time = getTimer();
   }
   if(getTimer() >= game.lvltime)
   {
      game.lvltime = getTimer() + 5000;
      game.lvl = game.lvl + 1;
      game.mysize += 4;
      mc._width = game.mysize;
      mc._height = game.mysize;
      mc.me.gotoAndPlay(30);
   }
   border.lvl = game.lvl;
   border.time = Math.round((getTimer() - game.time) / 1000);
   if(gamemc._xmouse < game.mysize / 2)
   {
      gamemc.xmouse = game.mysize / 2;
   }
   else if(game.sw - game.mysize / 2 < gamemc._xmouse)
   {
      gamemc.xmouse = game.sw - game.mysize / 2;
   }
   else
   {
      gamemc.xmouse = gamemc._xmouse;
   }
   if(gamemc._ymouse < game.mysize / 2)
   {
      gamemc.ymouse = game.mysize / 2;
   }
   else if(game.sh - game.mysize / 2 < gamemc._ymouse)
   {
      gamemc.ymouse = game.sh - game.mysize / 2;
   }
   else
   {
      gamemc.ymouse = gamemc._ymouse;
   }
   if(gamemc.xmouse != mc._x)
   {
      mc._x += (gamemc.xmouse - mc._x) / game.myspeed;
   }
   if(gamemc.ymouse != mc._y)
   {
      mc._y += (gamemc.ymouse - mc._y) / game.myspeed;
   }
   for(var name in "gamemc:en")
   {
      var enemy_mc = gamemc.en[name];
      if(enemy_mc.stopTime < getTimer() and enemy_mc.stopped != undefined)
      {
         if(enemy_mc.stopped)
         {
            enemy_mc.stopped = false;
            enemy_mc.legs.gotoAndStop(1);
            if(enemy_mc.smart)
            {
               rotateTowards(enemy_mc,mc._x,mc._y,enemy_mc.enemy_speed);
            }
            enemy_mc.stopTime = getTimer() + 1000 + random(5000);
         }
         else
         {
            enemy_mc.stopped = true;
            enemy_mc.legs.gotoAndStop(2);
            enemy_mc.stopTime = getTimer() + random(3000);
         }
      }
      if(enemy_mc.stopped != true)
      {
         enemy_mc._x += enemy_mc.xmov;
         enemy_mc._y += enemy_mc.ymov;
      }
      if(game.sw + 40 < enemy_mc._x or enemy_mc._x < -40 or game.sh + 40 < enemy_mc._y or enemy_mc._y < -40)
      {
         removeMovieClip(enemy_mc);
      }
      var disty = enemy_mc._y - mc._y;
      var distx = enemy_mc._x - mc._x;
      var dist = game.enemy_size + game.mysize / 2;
      if(disty * disty + distx * distx < dist * dist and !game.ending)
      {
         if(!enemy_mc.bonus)
         {
            game.lvltime = getTimer() + 50000;
            mc.me.gotoAndPlay(2);
            mc.shadow._visible = false;
            game.ending = true;
         }
         else
         {
            game.mysize -= 8;
            mc._width = game.mysize;
            mc._height = game.mysize;
            mc.me.gotoAndPlay(30);
            removeMovieClip(enemy_mc);
            game.bonus = false;
         }
      }
   }
   if(970 - game.lvl < random(1000))
   {
      startEnemy(game.enemy_num);
   }
   if(995 < random(1000) and !game.bonus and 23 < game.mysize)
   {
      addBonus(game.enemy_num);
   }
}
function startEnemy(num)
{
   gamemc.en.attachMovie("enemy","enemy" + num,num);
   var enemy_mc = gamemc.en["enemy" + num];
   var ran = random(4);
   if(ran == 0)
   {
      enemy_mc._x = -40;
      enemy_mc._y = random(game.sh);
   }
   else if(ran == 1)
   {
      enemy_mc._x = game.sw + 40;
      enemy_mc._y = random(game.sh);
   }
   else if(ran == 2)
   {
      enemy_mc._x = random(game.sw);
      enemy_mc._y = game.sh + 40;
   }
   else if(ran == 3)
   {
      enemy_mc._x = random(game.sw);
      enemy_mc._y = -40;
   }
   var ran = random(Math.round(game.lvl / 3));
   if(2 < ran)
   {
      ran = 2;
   }
   if(ran == 0)
   {
      enemy_mc.body.gotoAndStop(1);
      enemy_mc.enemy_speed = game.enemy_speed;
   }
   else if(ran == 1)
   {
      enemy_mc.body.gotoAndStop(2);
      enemy_mc.enemy_speed = game.enemy_speed + 1;
      enemy_mc.stopTime = getTimer() + 1000 + random(5000);
      enemy_mc.stopped = false;
   }
   else if(ran == 2)
   {
      enemy_mc.body.gotoAndStop(3);
      enemy_mc.enemy_speed = game.enemy_speed - 1;
      enemy_mc.stopTime = getTimer() + 1000 + random(5000);
      enemy_mc.stopped = false;
      enemy_mc.smart = true;
   }
   rotateTowards(enemy_mc,mc._x,mc._y,enemy_mc.enemy_speed);
   game.enemy_num = game.enemy_num + 1;
   if(100 < game.enemy_num)
   {
      game.enemy_num = 1;
   }
   soundmc.play();
}
function addBonus(num)
{
   gamemc.en.attachMovie("bonus","bonus",num);
   var enemy_mc = gamemc.en.bonus;
   var ran = random(4);
   if(ran == 0)
   {
      enemy_mc._x = -40;
      enemy_mc._y = random(game.sh);
      enemy_mc.xmov = game.bonusspeed;
      enemy_mc.ymov = 0;
   }
   else if(ran == 1)
   {
      enemy_mc._x = game.sw + 40;
      enemy_mc._y = random(game.sh);
      enemy_mc.xmov = - game.bonusspeed;
      enemy_mc.ymov = 0;
   }
   else if(ran == 2)
   {
      enemy_mc._x = random(game.sw);
      enemy_mc._y = game.sh + 40;
      enemy_mc.ymov = - game.bonusspeed;
      enemy_mc.xmov = 0;
   }
   else if(ran == 3)
   {
      enemy_mc._x = random(game.sw);
      enemy_mc._y = -40;
      enemy_mc.ymov = game.bonusspeed;
      enemy_mc.xmov = 0;
   }
   enemy_mc.bonus = true;
   game.bonus = true;
   game.enemy_num = game.enemy_num + 1;
   if(100 < game.enemy_num)
   {
      game.enemy_num = 1;
   }
   enemy_mc.play();
}
function rotateTowards(clip, targetX, targetY, speed)
{
   var clipPoint = {x:clip._x,y:clip._y};
   clip._parent.localToGlobal(clipPoint);
   var deltaX = targetX - clipPoint.x;
   var deltaY = targetY - clipPoint.y;
   var rotationRadian = Math.atan2(deltaY,deltaX);
   var rotationAngle = radiansToDegrees(rotationRadian);
   clip.xmov = speed * Math.cos(rotationRadian);
   clip.ymov = speed * Math.sin(rotationRadian);
   clip._rotation = rotationAngle;
}
function radiansToDegrees(radians)
{
   return radians / 3.141592653589793 * 180;
}
border.lvl = 0;
border.time = 0;
